Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.consumer.storedquery
Class FindDocumentsQuery

    java.lang.Object
      org.eclipse.ohf.ihe.xds.consumer.storedquery.StoredQuery
          org.eclipse.ohf.ihe.xds.consumer.storedquery.FindDocumentsQuery

    public class FindDocumentsQuery

extends StoredQuery

Represents the Stored Query version of the FindDocuments query of the Minimum Query Catalog. Used to support the IHE XDS Consumer actor in Transaction ITI-18: Registry Stored Query

Author:
  Sarah Knoop
See Also:
  IHE Technical Framework

Constructor Summary
`FindDocumentsQuery(CX patientID, AvailabilityStatusType[] status)` Constructor, with minimal parameters.
`FindDocumentsQuery(CX patientID, CodedMetadataType[] classCodes, DateTimeRange[] dateTimeRanges, CodedMetadataType[] practiceSettingCodes, CodedMetadataType[] healthCareFacilityCodes, CodedMetadataType[] eventCodeList, CodedMetadataType[] confidentialityCodes, CodedMetadataType[] formatCodes, AvailabilityStatusType[] status)` Constructor witf full set of parameters.

Method Summary

Methods inherited from class org.eclipse.ohf.ihe.xds.consumer.storedquery.StoredQuery
`getQueryParameters, getQueryUUID`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FindDocumentsQuery

    public FindDocumentsQuery(CX patientID,
                              AvailabilityStatusType[] status)
                       throws MalformedStoredQueryException

  Constructor, with minimal parameters.

  Parameters:
    `patientID` - id of the patient, as a string, cannot be null
    `status` - document status list, cannot be null
  Throws:
    `MalformedStoredQueryException`

### FindDocumentsQuery

    public FindDocumentsQuery(CX patientID,
                              CodedMetadataType[] classCodes,
                              DateTimeRange[] dateTimeRanges,
                              CodedMetadataType[] practiceSettingCodes,
                              CodedMetadataType[] healthCareFacilityCodes,
                              CodedMetadataType[] eventCodeList,
                              CodedMetadataType[] confidentialityCodes,
                              CodedMetadataType[] formatCodes,
                              AvailabilityStatusType[] status)
                       throws MalformedStoredQueryException

  Constructor witf full set of parameters.

  Parameters:
    `patientID` - id of patient, non null
    `classCodes,` - classCodes to query for, may be null
    `dateTimeRanges,` - date and time ranges (use DateTimeRange) to query on include XDSDocumentEntry.creationTime, XDSDocumentEntry.serviceStartTime, XDSDocumentEntry.serviceStopTime, Choose slotName among metadata time slot name constants provided in {@link org.eclipse.ohf.ihe.xds.metadata.constants.DocumentEntryConstants, may be null
    `practiceSettingCodes` - practiceSetting codes to query for, may be null
    `healthCareFacilityCodes` - healthcareFacility codes to query for, may be null
    `eventCodeList` - eventCodes to query for, may be null
    `confidentialityCodes` - confidentialityCodes to query for, may be null
    `formatCodes` - formatCodesCodes to query for, may be null
    `status` - document status list, cannot be null
  Throws:
    `MalformedStoredQueryException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD